Commit d8af7c6a authored by Robert P. J. Day's avatar Robert P. J. Day Committed by Adrian Bunk
Browse files

Drop the superfluous test for an old version of gcc.



The header file <linux/compiler.h> already enforces a suitably recent
version of gcc, so there's no point checking for that again.
Signed-off-by: default avatarRobert P. J. Day <rpjday@mindspring.com>
Signed-off-by: default avatarAdrian Bunk <bunk@kernel.org>
parent b7076156
......@@ -70,15 +70,7 @@
/*
* This is one of the first .c files built. Error out early if we have compiler
* trouble.
*
* Versions of gcc older than that listed below may actually compile and link
* okay, but the end product can have subtle run time bugs. To avoid associated
* bogus bug reports, we flatly refuse to compile with a gcc that is known to be
* too old from the very beginning.
*/
#if (__GNUC__ < 3) || (__GNUC__ == 3 && __GNUC_MINOR__ < 2)
#error Sorry, your GCC is too old. It builds incorrect kernels.
#endif
#if __GNUC__ == 4 && __GNUC_MINOR__ == 1 && __GNUC_PATCHLEVEL__ == 0
#warning gcc-4.1.0 is known to miscompile the kernel. A different compiler version is recommended.
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment